#include <QApplication>
#include <QGraphicsScene>
#include <QPair>

#include "myscene.h"
#include "myview.h"

/**
 * This is an extremely simple demo of a worm which follows the mouse cursor
 * as it moves around the screen. It was written to try out Qt's scene and
 * graphics view classes and to try and animate an item within that tree.
 *
 * Performance of this demo goes down significantly if the background is not
 * cached.
 */

int main(int argc, char **argv)
{
	QApplication app(argc, argv);

	MyScene *pScene = new MyScene;
	pScene->setSceneRect(0, 0, 400, 400);
	pScene->setItemIndexMethod(QGraphicsScene::NoIndex);

	MyView *pView = new MyView(pScene);

	// i cannot think of a reason to not use caching in this context
	pView->setCacheMode(QGraphicsView::CacheBackground);
	pView->setRenderHint(QPainter::Antialiasing);

	// make the geometry a little bigger to avoid the scroll bars. the
	// background will tile if the viewport is large enough.
	pView->setGeometry(0, 0, 405, 405);

	pView->setWindowTitle(QT_TRANSLATE_NOOP(QGraphicsView, "Dynamic Path"));
	pView->show();

	return app.exec();
}

