#include <QBrush>
#include <QtCore>
#include <QtGui>

#include "myscene.h"
#include "myworm.h"

const int MyScene::SEGMENT_SIZE 	= 5;
const int MyScene::INIT_SEGMENTS	= 100;

MyScene::MyScene(QWidget *pParent)
:	QGraphicsScene(pParent),
	m_pWormDude(0),
	m_bShowWorm(false)
{
	QImage image("resources/images/background.png");
	setBackgroundBrush(QBrush(image));
}

void MyScene::toggleWorm(const QPointF & pos)
{
	m_bShowWorm = !m_bShowWorm;

	if (m_bShowWorm)
	{
		m_pWormDude = new MyWorm(INIT_SEGMENTS, SEGMENT_SIZE);
		m_pWormDude->setHeadPoint(pos);

		addItem(m_pWormDude);
	}
	else
	{
		removeItem(m_pWormDude);
		delete m_pWormDude;
	}
}

void MyScene::followCursor(const QPointF & pos)
{
	if (m_bShowWorm)
	{
		m_pWormDude->follow(pos);
	}
}
