#include <QtGui>
#include <QtCore>

#include "myscene.h"
#include "myview.h"

MyView::MyView(MyScene *pScene, QWidget *pParent)
:	QGraphicsView(pScene, pParent),
	m_pMyScene(pScene)
{
}

void MyView::mousePressEvent(QMouseEvent *pEvent)
{
	QPoint pos = pEvent->pos();

    const QPointF scenePos = mapToScene(pos);
	m_pMyScene->toggleWorm(scenePos);
}

void MyView::mouseMoveEvent(QMouseEvent *pEvent)
{
	QPoint pos = pEvent->pos();

    const QPointF scenePos = mapToScene(pos);
	m_pMyScene->followCursor(scenePos);
}

void MyView::mouseReleaseEvent(QMouseEvent *)
{
	// if this function is not overridden, it will cause peculiar behaviour
	// with the graphics view/scene as it interacts witht he graphics item
}

