#ifndef MYWORM_H
#define MYWORM_H

class QGraphicsLineItem;
class QPointF;

#include <QtCore>
#include <QtGui>

class MyWorm : public QGraphicsItemGroup
{
	public:
		MyWorm(int nSegments, int nSegmentSize);
		virtual ~MyWorm();

		const QPointF headPoint() const;
		const QPointF tailPoint() const;
		void setHeadPoint(const QPointF & head);
		void follow(const QPointF & pos);
	
	private:
		QList<QGraphicsLineItem *> allocGraphicsItems(int nSegments);
		void updateGraphicsItems(	const QList<QPointF> & segments,
									QList<QGraphicsLineItem *> & pItems);

		QList<QGraphicsLineItem *> m_itemList;
		QList<QPointF> m_segments;
		QPen m_looks;
		int m_nSegments;
		int m_nSegmentSize;
};

#endif
